
% create a system
a = [-0.5572 -0.7814;0.7814  0];
b = [1; 0];
c = [1.9691  6.4493];
sys = ss(a,b,c,0);
[g_original, t_original] = impulse(sys, 50);
t_original = t_original ./ t_original(end);
plot(t_original,g_original)


% for readability
n		= 10000;			% num. of samples for simulating the continuous time
t		= (0:(1/(n-1)):1)';	% num. of samples for simulating the continuous time
discretization_period_continuous	= 1/(t(2)-t(1));


% create the signals
g_continuous		= interp1( t_original, g_original, t, 'spline' );
u_continuous		= zeros(size(t));
for	k = 1:n;
	u_continuous(k) = exp(-((t(k)-0.4)/0.075)^2) + exp(-((t(k)-0.6)/0.075)^2);
end;
G_continuous		= flipud(hankel(flipud(g_continuous)));
y_continuous		= G_continuous * u_continuous / discretization_period_continuous;

% plot the results
figure(1)
hold on;
plot(t, u_continuous, 'g');
plot(t, g_continuous, 'r');
plot(t, y_continuous, 'b');
hold off;

% export the results
MatlabToTikZ.ExportLineplot(											...
	'../../Datasets/SS/continuous-time-signals.txt',					...
	[ t, u_continuous, g_continuous, y_continuous ],					...
	[ {'t'}, {'u_continuous'}, {'g_continuous'}, {'y_continuous'} ],	...
	10																	);

