% for readability
n		= 10000;			% num. of samples for simulating the continuous time
t		= (0:(1/(n-1)):1)';	% num. of samples for simulating the continuous time
discretization_period_continuous	= 1/(t(2)-t(1));

% create the signals
g_continuous		= zeros(size(t));
u_continuous		= zeros(size(t));
for	k = 1:n;
	if( t(k) < 0.25)
		g_continuous(k) = 1;
	end;
	u_continuous(k) = exp(-((t(k)-0.4)/0.075)^2) + exp(-((t(k)-0.6)/0.075)^2);
end;
G_continuous		= flipud(hankel(flipud(g_continuous)));
y_continuous		= G_continuous * u_continuous / discretization_period_continuous;

% % plot the results
% figure(1)
% hold on;
% plot(t, u_continuous, 'g');
% plot(t, g_continuous, 'r');
% plot(t, y_continuous, 'b');
% hold off;

% export the results
MatlabToTikZ.ExportLineplot(											...
	'../Datasets/Hunt/continuous-time-signals.txt',						...
	[ t, u_continuous, g_continuous, y_continuous ],					...
	[ {'t'}, {'u_continuous'}, {'g_continuous'}, {'y_continuous'} ],	...
	10																	);

